{ lib
, python3
, fetchPypi
}:

python3.pkgs.buildPythonPackage rec {
  pname = "cookies-samesite-compat";
  version = "0.0.1";
  pyproject = true;

  src = fetchPypi {
    pname = "cookies_samesite_compat";
    inherit version;
    hash = "sha256-eC0rthOt3ahUUp+FD09guDag8MRQSRZ0lUkPxK8HOsA=";
  };

  nativeBuildInputs = with python3.pkgs; [
    setuptools
    wheel
  ];

  pythonImportsCheck = [ "cookies_samesite_compat" ];

  meta = with lib; {
    description = "WSGI Middleware to duplicate the configured cookies and remove the SameSite attribute";
    homepage = "https://pypi.org/project/cookies-samesite-compat";
    license = licenses.asl20;
    maintainers = with maintainers; [ ];
  };
}
