{ pkgs, lib, ... }:

let
  host = "lavoixduntexte.normalesup.eu";

  addons = import ./addons { inherit pkgs lib; };
in {
  services.wordpress.sites.${host} = {
    themes = { inherit (addons.themes) avant; };
    plugins = { inherit (addons.plugins) wordpress-importer; };

    languages = [ pkgs.wordpressPackages.languages.fr_FR ];

    database.tablePrefix = "wp_lvdt_";

    settings = { };
  };

  services.nginx.virtualHosts.${host} = {
    enableACME = true;
    forceSSL = true;
  };
}
