{
  "nixos-23.05" = [
    # plausible: fix admin user password seed and SMTP passwords
    {
      id = 241126;
      hash = "sha256-TcGuB3k8SeA8PRb/OdZ8ESw9/7yYKPftR96boK7Hmvc=";
    }

    # fetchMixDeps: sha256 -> hash
    {
      id = 235733;
      hash = "sha256-oHGZFXwOJ9ngZNJBTd93abgI+eNPsCBJPgFxt41728o=";
      includes = [
        "pkgs/development/beam-modules/fetch-mix-deps.nix"
        "pkgs/servers/web-apps/plausible/default.nix"
      ];
    }

    # python3Packages.nix-prefetch-github: 6.0.1 -> 7.0.0
    # Only keep the files related to plausible
    {
      id = 243018;
      hash = "sha256-/7jid8tKo2JbVyEmeVxt+9VRqc/2YWkUeagyrMqqb70=";
      includes = [ "pkgs/servers/web-apps/plausible/*" ];
    }

    # plausible: 1.4.4 -> 1.5.1
    {
      id = 229201;
      hash = "sha256-wJ3qQbX5Yn7PZ5gpJYAeCIkblPaaVgUGg3XJb5C8ccY=";
    }

    # plausible: 1.5.1 -> 2.0.0
    {
      id = 253687;
      hash = "sha256-Of3YXCJcevr5Ab6S/TMDR1M6PhffN/osLPAlfo60LAk=";
    }

    # dbip-country-lite: init at 2023-06
    {
      id = 235774;
      hash = "sha256-M0oktrBKxezhBQh3gKHKXrWF7UjACX3PcpSzoq8HkW0=";
    }

    # kanidm: 1.1.0-alpha.12 -> 1.1.0-beta.13
    {
      id = 246564;
      hash = "sha256-Q/G6w4iXthhC6JI/erOx0HBJ25aLQLtZSusAOdT6dYc=";
    }

    # Forgejo v1.19.4-0 -> v1.20.4-1
    {
      _type = "static";
      path = ./forgejo.patch;
    }

    # nixos/forgejo: fork from nixos/gitea
    {
      id = 248310;
      hash = "sha256-6cLMDbzYRKZrFulkS48dPznAap4bVCLsb1APaud9nV8=";
    }

    # garage: add environmentFile
    {
      id = 257043;
      hash = "sha256-Z+WmDPuDoV1Ex+XzvUhvMPn8U+aw0tCRH3O5oR2qQrM=";
    }

    # outline: 0.68.1 -> 0.69.2
    {
      id = 232235;
      hash = "sha256-f+upHsuuYyLqd9Wv+9JHhB3HnP+mXWer6L/xi5eFpwE=";
    }

    # outline: 0.69.2 -> 0.70.2
    {
      id = 241667;
      excludes = [ "nixos/doc/manual/*" ];
      hash = "sha256-9bOjwaXN/4/ASpNfyhaby+nuIz23gDLDIqgTdApdj1U=";
    }

    # outline 0.70.2 -> 0.71.0
    {
      id = 252126;
      hash = "sha256-lH8xp5zG2fAaXS2gLF7UxqvuPlAigJ297hvlks0CG/U=";
    }

    # outline: use fetchYarnDeps
    {
      id = 253567;
      hash = "sha256-aR62vOuTfmJ7MIr3plDcBonQQH2+o2F6z/LAAgcKVHU=";
    }

    # outline: 0.71.0 -> 0.72.0
    {
      id = 259246;
      hash = "sha256-gRGsmqFjtQWWCCTRr9QHZDM3NxIbj5G9bFaFaTYTEYY=";
    }

    # nixos/outline: Add the possibility of using local storage instead of S3
    {
      id = 259254;
      excludes = [ "nixos/doc/manual/*" ];
      hash = "sha256-Hd3bRYncjnfHzEx+g6rb9cU3YmhF6W3QOtQUuDzw78U=";
    }

    # outline: 0.72.2 -> 0.73.1
    {
      id = 267752;
      hash = "sha256-7bydFe7uOK9JxjFgwO0ZjZmKe3uo9GYZiMy0NG7+qkQ=";
    }

    # nixos/ntfy.sh: use dynamic user + add defaults
    {
      id = 234811;
      hash = "sha256-Yz007dCmGl5OxRDMSHv63Ww+LzoQISm9Ttiw0p/6spY=";
    }

    # castopod: init
    # Ne pas mettre à jour sans savoir ce qu'on fait (patch un peu customisé par rapport à upstream)
    {
      _type = "static";
      path = ./castopod.patch;
    }

    # onlyoffice-documentserver: 7.3.3 -> 7.4.0
    {
      id = 238182;
      hash = "sha256-HhdNPOOmQ62IYoG50ZGc0U/dUub2vIQ4fJR/gudoV2Y=";
    }

    # onlyoffice-documentserver: 7.4.0 -> 7.4.1
    {
      id = 252318;
      hash = "sha256-lI5WYFlxKvava9e+eTI8ZGogIb3uPOLAWFrkxbSlCXI=";
    }
  ];
}
